Gecode::FlatZinc::BranchInformationO Class Reference

## Public Member Functions

| BranchInformationO (void)
virtual | ~BranchInformationO (void)
virtual SharedHandle::Object * | copy (void) const
void | add (BrancherGroup bg, const std::string &rel0, const std::string &rel1, const std::vector< std::string > &n)
| Add new brancher information.
void | print (const Brancher &b, unsigned int a, int i, int n, std::ostream &o) const
| Output branch information.
void | print (const Brancher &b, unsigned int a, int i, const FloatNumBranch &nl, std::ostream &o) const
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Definition at line 264 of file flatzinc.cpp.

## Constructor & Destructor Documentation

## BranchInformationO()

Gecode::FlatZinc::BranchInformationO::BranchInformationO | ( | void |  | ) |

inline

Definition at line 278 of file flatzinc.cpp.

## ~BranchInformationO()

virtual Gecode::FlatZinc::BranchInformationO::~BranchInformationO | ( | void |  | ) |

inline virtual

Definition at line 279 of file flatzinc.cpp.

## Member Function Documentation

## copy()

virtual SharedHandle::Object * Gecode::FlatZinc::BranchInformationO::copy | ( | void |  | ) | const

inline virtual

Definition at line 280 of file flatzinc.cpp.

## add()

void Gecode::FlatZinc::BranchInformationO::add | ( | BrancherGroup | bg,
|  | const std::string & | rel0,
|  | const std::string & | rel1,
|  | const std::vector< std::string > & | n )

inline

Add new brancher information.

Definition at line 284 of file flatzinc.cpp.

## print() [1/2]

void Gecode::FlatZinc::BranchInformationO::print | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | i,
|  | int | n,
|  | std::ostream & | o ) const

inline

Output branch information.

Definition at line 292 of file flatzinc.cpp.

## print() [2/2]

void Gecode::FlatZinc::BranchInformationO::print | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | i,
|  | const FloatNumBranch & | nl,
|  | std::ostream & | o ) const

inline

Definition at line 298 of file flatzinc.cpp.

The documentation for this class was generated from the following file:

- gecode/flatzinc/flatzinc.cpp